Subject: IANA hanges to draft-nottingham-http-link-header

From: Mark Nottingham <[email-masked]>
Date: Thu, 23 Sep 2010 14:25:35 +1000

Draft-nottingham-http-link-header <https://datatracker.ietf.org/doc/draft-nottingham-http-link-header/> has been the AUTH48 state for a few weeks, pending resolution of some issues with IANA.

It turns out that the text specifying interactions between the Designated Experts and IANA was too constraining; furthermore, the specification of a one-off registry XML format doesn't work well with IANA's toolchain for managing registries.

As a result, I'm proposing removal of some text, as part of the AUTH48 process. Alexey (the responsible AD) has asked me to communicate this to the various stakeholder communities for feedback.

I've attached the proposed RFC, with a diff available at <http://www.mnot.net/test/link-diff.html>. Note that the diff also incorporates editorial changes from the RFC Editor. 

The changes under discussion here are:

1) Removal of the following paragraph from section 6.2.1, "Registering Link Relation Types":

   When a registration request is successful, the Designated Expert(s)	 		
   will update the registry XML file (using the format described in	 		
   Appendix A including the MIT license) and send it to the [TBD-2]@	 		
   ietf.org mailing list (which SHOULD NOT be centrally archived, so as	 		
   to avoid load issues from automated agents, and only accept posts	 		
   from the Designated Expert(s)), so that implementers interested in	 		
   receiving a machine-readable registry can do so.  Simultaneously,	 		
   they will send a text (not XML) version of the registry to IANA for	 		
   publication.	 		

2) Removal of Appendix A in its entirety. 

Instead, the Designated Experts will inform IANA of new entries, and they will be produced and published as normal on the IANA Web site. I.e., they will be available in text, HTML and XML -- the latter using the same format as other registries (for an example, see <http://www.iana.org/assignments/aaa-parameters/aaa-parameters.xml>). 

3) Adding the following to the beginning of section 6.2, "Link Relation Type Registry":

   The underlying registry data (e.g., the XML file) must include
   Simplified BSD License text as described in Section 4.e of the Trust
   Legal Provisions (<http://trustee.ietf.org/license-info>).

One open question is the issue of whether an announcement list is still necessary, since the registry data will be available from the Web site. However, this does not necessarily need to be specified in the RFC itself; the registry page can advertise the list if people would like one.

Feedback appreciated; Alexey will be able to use that as input to the next steps.

Regards,

--
Mark Nottingham     http://www.mnot.net/